//microswitch();
slide();
base();
module microswitch()
{
	h=6.4;
	d1=9;
	d2=11.5;
	w1=20.5;
	w2=6.75;

	difference(){
		union(){	
			cube([w1,d1,h],center=true);
			translate([-(w1-w2)/2,(d2-d1)/2,0]) cube([w2,d2,h],center=true);
			translate([9.7/2,-(d1/2)+2.5,0]) cylinder(h*3,r=1.2,center=true,$fn=10);
			translate([-9.7/2,-(d1/2)+2.5,0]) cylinder(h*3,r=1.2,center=true,$fn=10);

		}
	}
}
module slide()
{
	w=24;
	d=15;
	t=2.5;
	wt=8;

	difference(){
		union(){		
			cube([w,d,t],center=true);
			translate([w/2-t/2,0,wt/2]) cube([t,d,wt],center=true);	
			translate([-w/2+t/2,0,wt/2]) cube([t,d,wt],center=true);	

			translate([w/2-t/2-.5,0,wt-.9]) rotate([0,45,0]) cube([2,d,2],center=true);	
			translate([-w/2+t/2+.5,0,wt-.9]) rotate([0,45,0]) cube([2,d,2],center=true);	


			translate([0,-d/4,-t-1]) cube([t*2,d/2,t*2+2],center=true);	
			translate([w/2-t,-d/4,-t-1]) cube([t*2,d/2,t*2+2],center=true);	
			translate([-w/2+t,-d/4,-t-1]) cube([t*2,d/2,t*2+2],center=true);	
		}
		translate([0,2.5,3.75]) microswitch();

		translate([0,0,-t-2]) rotate([90,0,0]) cylinder(r=2.5/2,h=d*2,$fn=10, center=true);
		translate([w/2-t,0,-t-2]) rotate([90,0,0]) cylinder(r=3/2,h=d*2,$fn=10, center=true);
		translate([-w/2+t,0,-t-2]) rotate([90,0,0]) cylinder(r=3/2,h=d*2,$fn=10, center=true);

	}
	
}
module base()
{
	w=24;
	d=15;
	t=2.5;
	wt=8;
	s=22;

	difference(){
		union(){		
			translate([0,-8,-9]) cube([w,d+s-5,t],center=true);

			translate([0,d/4+2,-t-3]) cube([t*2,d/4,t*2+2],center=true);	
			translate([w/2-t,d/4+2,-t-3]) cube([t*2,d/4,t*2+2],center=true);	
			translate([-w/2+t,d/4+2,-t-3]) cube([t*2,d/4,t*2+2],center=true);	

			translate([0,-s,-t-3]) cube([t*2,d/4,t*2+2],center=true);	
			translate([w/2-t,-s,-t-3]) cube([t*2,d/4,t*2+2],center=true);	
			translate([-w/2+t,-s,-t-3]) cube([t*2,d/4,t*2+2],center=true);	

		}
		translate([0,2.5,3.75]) microswitch();

		translate([0,1,-t-2]) rotate([90,0,0]) cylinder(r=3/2,h=d,$fn=10, center=true);
		translate([w/2-t,1,-t-2]) rotate([90,0,0]) cylinder(r=2.5/2,h=d,$fn=10, center=true);
		translate([-w/2+t,1,-t-2]) rotate([90,0,0]) cylinder(r=2.5/2,h=d,$fn=10, center=true);

		translate([0,-s,-t-2]) rotate([90,0,0]) cylinder(r=3/2,h=d,$fn=10, center=true);
		translate([w/2-t,-s,-t-2]) rotate([90,0,0]) cylinder(r=3/2,h=d,$fn=10, center=true);
		translate([-w/2+t,-s,-t-2]) rotate([90,0,0]) cylinder(r=3/2,h=d,$fn=10, center=true);

	}
}
